Subject: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Michael Mauger <[email-masked]>
Date: Wed, 13 Oct 2021 16:05:57 +0000

On Tuesday, October 12th, 2021 at 1:05 AM, Stefan Kangas <[email-masked]> wrote:

> Lars Ingebrigtsen [email-masked] writes:
> > Michael Mauger [email-masked] writes:
> > > > Please wait for a while, I'd like Michael Mauger to review this.
> > > >
> > > > Thanks.
> > > I will take a look after New Years. Thank you, Andrew and Eli.
> > Michael, have you had time to look at the patches? I had a brief skim,
> > and they looked reasonable to me, but I have neither read them in-depth
> > nor tried them.
> Any news about this? It would be great to get this into Emacs 28.

I'm fine with this.  I remember this vaguely and think we are all set. Let's
get it committed and we'll give it some attention/testing before the release